Page MenuHomePhabricator

Implements ContentHandler abstraction for ProofreadPage Index: pages
Closed, ResolvedPublic

Description

ProofreadPage Index: pages have all a specific kind of Wikitext content (a template call with parameters) and a customised editing interface. It would make sense to implement the ContentHandler abstraction to them. The current pages should be moved from the Wikitext content model to the new one.

Event Timeline

Tpt created this task.Mar 27 2017, 3:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2017, 3:50 PM

Change 328543 had a related patch set uploaded (by Tpt):
[mediawiki/extensions/ProofreadPage@master] Use ContentHandler for index pages

https://gerrit.wikimedia.org/r/328543

Tpt added a project: DBA.Mar 27 2017, 3:56 PM

@DBA Change https://gerrit.wikimedia.org/r/#/c/328543/ contains a maintenance script to migrate old Index: pages to the new content model. Is it possible to get a code review for it? It will affect all wikis where ProofreadPage is deployed (i.e. all Wikisources).

A such script have been used for migrating the Page: pages: https://phabricator.wikimedia.org/diffusion/EPRP/browse/master/maintenance/fixProofreadPagePagesContentModel.php

Tpt updated the task description. (Show Details)Mar 27 2017, 3:56 PM

How much activity do you predict to have (I do not need an accurate count, just if it is thousands or millions or revisions).

Tpt added a comment.Mar 27 2017, 4:01 PM

The biggest Wikisources have less than 20,000 Index: pages each. So on all wikis combined it is something around ~100,000 rows.

Tpt moved this task from Backlog to Pagelist Widget on the ProofreadPage board.Mar 27 2017, 4:04 PM
jcrespo moved this task from Triage to Next on the DBA board.Mar 27 2017, 5:11 PM

A first look from the database point of view looks fine -activity is batched, and wait for slaves is run after every batch. Please allow me a few extra days to give a closer look at the query run to see if there could be an optimization problem (that only tends to arise when tested with lots of production data).

I do not know much about the mediawiki high level model (ContentHandler), so I hope someone other than me is on top of that.

Tpt added a comment.Mar 27 2017, 5:37 PM

Please allow me a few extra days to give a closer look at the query

Ok! Thank you!

jcrespo moved this task from Next to Done on the DBA board.Mar 28 2017, 9:55 AM

Change 328543 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Use ContentHandler for index pages

https://gerrit.wikimedia.org/r/328543

Tpt closed this task as Resolved.Aug 2 2017, 6:53 PM
Tpt claimed this task.

Done